Page MenuHomePhabricator

Developer guide for Translate
Closed, ResolvedPublic

Description

In code review we have agreed to follow some conventions. These conventions should be documented for other developers as well as for ourselves that we do not forget.

We should do:

QA plan

Review the page for

  • coverage of appropriate content
  • fluent (enough) language

Outcome

New developers are aware of the local conventions then they change Translate code, either by discovering this documentation themselves, or after being told about it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2020, 1:51 PM
Nikerabbit triaged this task as Medium priority.Jul 9 2020, 7:48 AM

Change 616461 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Update README to include link to Developer guide

https://gerrit.wikimedia.org/r/616461

abi_ updated the task description. (Show Details)Jul 27 2020, 10:27 AM
abi_ added a subscriber: abi_.

Reviewed the page, and updated the items under the QA Plan

Nikerabbit updated the task description. (Show Details)Jul 27 2020, 11:45 AM

Change 616461 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Update README to include link to Developer guide

https://gerrit.wikimedia.org/r/616461

abi_ closed this task as Resolved.Aug 13 2020, 4:39 AM